# file_dir_backup

`file_dir_backup` 是一个用于文件和目录备份的 Python 第三方库，支持全量备份和增量备份，同时支持 `rsync` 和 `shutil` 两种备份方法。

## 安装

```bash
pip install file_dir_backup
```

## 使用方法
### 命令行使用

```bash
#  查看帮助
file_dir_backup -h
usage: file_dir_backup [-h] [--backup-type {full,incremental}] [--method {rsync,shutil}] source destination

File and directory backup tool

positional arguments:
  source                Source directory to backup
  destination           Destination directory for backup

optional arguments:
  -h, --help            show this help message and exit
  --backup-type {full,incremental}
                        Backup type: full or incremental
  --method {rsync,shutil}
                        Backup method: rsync or shutil


file_dir_backup /path/to/source /path/to/destination --backup-type full --method rsync

file_dir_backup /path/to/source /path/to/destination --backup-type full --method rsync --compress --bandwidth-limit 100
# 示例：
#file_dir_backup /home/hujianli/test/ /home/hujianli/backup/ --backup-type full --method rsync

# 或者
python -m file_dir_backup /path/to/source /path/to/destination --backup-type full --method rsync

# 示例：
# python -m file_dir_backup /home/hujianli/test/ /home/hujianli/backup/ --backup-type incremental --method rsync
```

### Python 代码使用

```bash
from file_dir_backup import backup
backup('/path/to/source', '/path/to/destination', backup_type='full', method='rsync')
```


## 测试

测试代码在 `tests` 目录下，使用  `unittest` 模块进行测试。

```bash
python -m unittest test.test_file_dir_backup
```
    